import { ActivatedRoute, Params, Router } from '@angular/router';
import { BehaviorSubject } from 'rxjs';
import * as i0 from "@angular/core";
declare type Param = {
    [key: string]: string;
};
export declare class UrlParamsService {
    private activated;
    private router;
    private urlParameters;
    subject: BehaviorSubject<Params>;
    constructor(activated: ActivatedRoute, router: Router);
    get(paramName: string): Param;
    getAll(): Params;
    set(params: Params): void;
    setWithout(params: Params, without: Array<string>): void;
    add(params: Params): void;
    remove(paramKeys: Array<string>): void;
    contains(paramKeys: Array<string>): boolean;
    containsAnyOf(paramKeys: Array<string>): boolean;
    private save;
    private publish;
    private navigate;
    static ɵfac: i0.ɵɵFactoryDeclaration<UrlParamsService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<UrlParamsService>;
}
export {};
